[ELF] - Print options aliases in --help
ClosedPublic

Authored by grimar on Jul 17 2017, 4:01 AM.

Details

Summary

This is PR 30422,
previously LLD did not render all option aliases in --help.
With this patch it will.

Diff Detail

Repository
rL LLVM
grimar created this revision.Jul 17 2017, 4:01 AM
ruiu added a comment.Jul 17 2017, 11:51 AM

Maybe you can show just everything so that we can stop thinking which one we should show?

In D35477#811671, @ruiu wrote:

Maybe you can show just everything so that we can stop thinking which one we should show?

Uploaded sample output without hidden options here:
https://justpaste.it/192pb

grimar planned changes to this revision.Jul 18 2017, 6:21 AM
grimar updated this revision to Diff 107875.Jul 24 2017, 3:02 AM
grimar edited the summary of this revision. (Show Details)
  • With currently used --help rendering approach, this one

becomes trivial single line change. (still depends on D35476 though).

grimar updated this revision to Diff 108049.Jul 25 2017, 4:43 AM
  • Added testcase.
grimar planned changes to this revision.Jul 25 2017, 4:43 AM
grimar updated this revision to Diff 108051.Jul 25 2017, 4:49 AM
  • Uploaded correct diff now.
grimar updated this revision to Diff 108099.Jul 25 2017, 9:11 AM
  • Reduced testcase.
ruiu accepted this revision.Jul 25 2017, 11:08 AM

LGTM

test/ELF/help.s
1 ↗(On Diff #108099)

Remove -check-prefix as this test contains only one test.

This revision is now accepted and ready to land.Jul 25 2017, 11:08 AM
This revision was automatically updated to reflect the committed changes.